diff tests/test-convert-authormap @ 7961:52e442fe43f4

convert: Add testcase for convert authormap.
author Marti Raudsepp <marti@juffo.org>
date Sat, 14 Mar 2009 14:31:08 +0200
parents
children 62154415821f
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-convert-authormap	Sat Mar 14 14:31:08 2009 +0200
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+cat >> $HGRCPATH <<EOF
+[extensions]
+convert=
+EOF
+
+# Prepare orig repo
+hg init orig
+cd orig
+echo foo > foo
+HGUSER='user name' hg ci -qAm 'foo' -d '0 0'
+cd ..
+
+# Explicit --authors
+cat > authormap.txt <<EOF
+user name = Long User Name
+EOF
+
+hg convert --authors authormap.txt orig new
+echo $?
+cat new/.hg/authormap
+
+hg -Rnew log
+rm -rf new
+
+# Implicit .hg/authormap
+hg init new
+mv authormap.txt new/.hg/authormap
+
+hg convert orig new
+echo $?
+
+hg -Rnew log